<template>
	<view>
		<!-- 胶囊 -->
		<mvBar :mysNavConfig="mysNavConfig"></mvBar>
		<view :style="{marginTop:navH}"></view>

		<view v-if="!loading">
			<!-- 基本信息卡片 -->
			<view class="basicInfo">
				<view class="tpc-txt1">
					<image :src="product.PhotoUrl" style="width: 150rpx;height: 150rpx;" mode="">
					</image>
					<view class="basicInfo_txt">
						<view class="" style="display: flex;">
							<image class="platform-img" :src="project.PlatformInfo.platform_icon"></image>
							<p style="font-size: 28rpx; line-height: 28rpx;color: black;">
								{{project.selection_name}}
							</p>
						</view>
						<p>售价：￥{{product.product_price}}
							<!-- <p>距离任务有效期还有<span style="color: #f70606;">1107</span>天</p> -->
						<p v-if="project.remain_days <= 0 && project.remain_hours <= 0"><span
								style="color: #f70606 ;">任务已结束</span></p>
						<!-- <p v-else>距离任务有效期还有<span style="color: #f70606;">{{selection.remain_days}}</span>天</p> -->
						<p v-else><span style="color: #999999;">距离任务结束还有</span><span
								style="color: #f70606;">{{ project.remain_days }}<span
									style="color: #999999 ;">天</span>{{ project.remain_hours }}<span
									style="color: #999999 ;">小时</span></span></p>
					</view>
				</view>
			</view>

			<!-- 重要信息展示 -->
			<view>
				<!-- 样机高佣和公开 两个有色框 -->
				<view class="importentInfo1">
					<!-- 高佣  这个margin带着整个有色边框一起移动-->
					<view style="display: flex; margin: 25rpx 20rpx;">
						<!-- 与边框离开距离  这个margin仅带着内容移动 -->
						<view style="display: flex; margin-top: 10rpx;">
							<view
								style="background-color: #e99d42; width: 140rpx; height: 45rpx; border-radius: 15rpx; line-height: 40rpx;text-align: center;">
								<p style="color: white;font-size: 25rpx;">样叽高佣</p>
							</view>
							<view style="margin-left: 25rpx;line-height: 40rpx">
								<p style="color: red;font-size: 25rpx;">
									每单赚：{{product.commission_price}}￥
									(佣金比例：{{product.exclusive_commission}}%)</p>
							</view>
						</view>

					</view>
				</view>


				<!-- 悬赏任务 -->
				<view class="importentInfo2" v-if="project.task_mode==1">
					<!-- 高佣  这个margin带着整个有色边框一起移动-->
					<view style="display: flex; margin: 25rpx 20rpx;">
						<!-- 与边框离开距离  这个margin仅带着内容移动 -->
						<view style="display: flex; margin-top: 10rpx;">
							<view
								style="background-color: #1f63ff; width: 140rpx; height: 45rpx; border-radius: 15rpx; line-height: 40rpx;text-align: center;">
								<p style="color: white;font-size: 25rpx;">悬赏任务</p>
							</view>
							<view style="margin-left: 25rpx;line-height: 45rpx">
								<p style="color: #444d5e;font-size: 25rpx;">
									有效期内实际成交≥{{project.RewardStrategy[0].sale_actual}}单，额外奖励<span
										style="color: red;">￥{{project.RewardStrategy[0].per_reward}}</span>元
								</p>
							</view>
						</view>

					</view>

				</view>
			</view>

			<!-- 平台icon和用户基本信息 -->
			<view class="card" style="margin-top: 2%;" @click="accountdetail()">
				<view class="Tasktext">
					<image :src="project.PlatformInfo.platform_icon" mode=""></image>
					<span>{{account.nick_name}}</span>
				</view>
				<view class="dou">
					<p style="padding-right: 20rpx;color:#A8A8A8;">粉丝数</p>
					<p>{{account.fan}}</p>
				</view>
				<view class="clickkk">
					<image :src="togoimg" mode="" style="width: 16rpx;height: 30rpx;"></image>
				</view>
			</view>

			<!-- 免费领样 -->
			<view v-if="project.sample_mode==1" style="padding: 10rpx 20rpx;font-size: 25rpx;" class="freeSample">
				<span style="font-weight: bold; ">免费领样</span>
				<p>领样状态：{{ getFreeStageText(task.free_stage) }}</p>
				<view class="logisInfo" v-if="task.free_stage >= 3 && task.free_stage <= 5" @click="toLogisticsinfo()">
					<p>物流信息</p>
					<view class="task-info-right">
						<image src="https://horastar.obs.cn-east-3.myhuaweicloud.com/talent_upload/icon-arrow-right.png"
							style="height: 30rpx;width: 30rpx;"></image>
					</view>
				</view>

			</view>

			<!-- 带货信息 -->
			<view style="padding: 10rpx 20rpx;font-size: 25rpx;" class="saleInfo">
				<span style="font-weight: bold; ">带货信息</span>
				<p>全部销售额/有效销售额：￥{{task.sale_num_all*product.product_price}}/￥{{sale_actual*product.product_price}}</p>
				<p>全部销售量/有效销售量：{{task.sale_num_all}}单/{{sale_actual}}单</p>
				<p>全部佣金/有效佣金：￥{{task.sale_num_all*product.commission_price}}/￥{{sale_actual*product.commission_price}}</p>
			<!-- 	<p>退款销售额/退款单数：todo</p>
				<p>退款佣金/退款率：todo</p> -->
			</view>


			<!-- 悬赏奖金 -->
			<view style="padding: 10rpx 20rpx;font-size: 25rpx;" class="rewardInfo">
				<span style="font-weight: bold; ">悬赏奖金</span>
				<view style="display: flex;">
					<p>悬赏奖金池总额/悬赏奖金池余额: {{all_poll}}/{{remain_poll}}</p>
					<image :src="remain_poll_flag===0 ? commission_fail : commission_suc" mode=""
						style="height: 45rpx; width: 45rpx;padding-left: 20rpx;"></image>
				</view>
				<view style="display: flex;">
					<p>悬赏销售量/有效销售量：{{project.RewardStrategy[0].sale_actual}}单/{{sale_actual}}单</p>
					<image :src="sale_actual_flag===0 ? commission_fail : commission_suc" mode=""
						style="height: 45rpx; width: 45rpx;padding-left: 20rpx;"></image>
				</view>
			</view>

			<!-- 上传截图 -->
			<view style="height: 150rpx;" v-if="conditionFit == 1 ">
				<button class="btn1" :disabled="uploaded" @click="toUpload()">
					{{ uploaded ? '销量截图已上传' : '上传销量截图领悬赏' }}</button>
			</view>
		</view>
	</view>
</template>

<script>
	import region from '@/components/pca-code.json';
	import mvBar from "@/components/mys_navBar/mysNavBar";
	import {
		fansview,
		money,
		getDaysAndHoursBetweenDates
	} from '@/components/utils.js';
	export default {
		components: {
			mvBar
		},
		data() {
			return {
				navH: getApp().globalData.navHeight,
				picture: getApp().globalData.picture,
				mysNavConfig: {
					isHome: false,
					/* 固定导航  */
					navFixed: true,
					/* 标题 （屏幕中心居中 两边图标中心居中使用slot center1） */
					navTitle: {
						text: "带货任务详情",
						color: "",
						fontSize: "32rpx", // px upx rpx
						fontWeight: "", // 100 - 700
					},
					btnType: "type2",
					onLeftClick: '',
					/* type2 按钮 */
					type2Config: {
						// 左图标
						leftPath: "https://horastar.obs.cn-east-3.myhuaweicloud.com/talent/png2.png",
						// 右图标
						rightPath: "https://horastar.obs.cn-east-3.myhuaweicloud.com/talent/png4.png",
						// 圆角
						radius: "40rpx",
					},
				},

				infoMsg1: [
					"等待企业确认合作",
					"等待企业确认合作",
					"等待企业确认合作",
					"恭喜任务申请成功！",
					"任务申请失败",
					"等待发货中",
					"商家已发货",
					"等待上传作业",
					"待结算",
					"已结案",
				],
				infoMsg2: [
					"商家将在申请截止后5天内审核完毕",
					"商家将在申请截止后5天内审核完毕",
					"商家将在申请截止后5天内审核完毕",
					"请仔细查看任务要求和任务详情，开始执行任务吧！",
					"未达到领样标准，请小主尝试申请其他任务吧",
					"发货后可在任务进度中查看物流单号",
					"请在任务进度中查看物流单号",
					"请仔细查看任务要求，根据要求完成作业，截止时间前上传作业提交后可领取相应的悬赏及返现",
					"作业提交成功，请等待商家结算。",
					"本任务已结案，可前往任务大厅查看报名其他任务。",
				],
				task_type_info: ["实体商品寄拍", "虚拟产品测评", "线下探店打卡"],
				togoimg: 'https://horastar.obs.cn-east-3.myhuaweicloud.com/talent/task16.png',
				isTimeOut: false,
				isNotShowSubmit: true,
				isShowUpload: false,
				uploaded: false,
				loading: true,
				timeLeft: "",
				msg1: "",
				msg2: "",
				taskId: '',
				task: {},
				address: {},
				project: {},
				product: {},
				account: {},
				strategy: {},
				taskLogs: [],
				infoTables: [],
				withdrawStatus: 1,
				all_poll: 0, //总金额
				remain_poll: 0, //悬赏池剩余金额
				sale_actual: 0, //达人的有效销量
				conditionFit: 0, //条件满足（1）则展示按钮
				sale_actual_flag: 0, //实际销量是否达成
				remain_poll_flag: 0, //奖金池是否足够
				commission_suc: "https://horastar.obs.cn-east-3.myhuaweicloud.com/talent/commission_suc.png",
				commission_fail: "https://horastar.obs.cn-east-3.myhuaweicloud.com/talent/commission_fail.png",

			}
		},
		async onShow() {
			this.loading = true;
			uni.showLoading({
				title: '加载中'
			});
			await this.getTaskInfo();
			// await this.getTaskLogs();
			await this.getInfoTables();
			await this.getTalentAccountInfo();
			await this.checkConditionFit();
			this.loading = false;
			uni.hideLoading();
		},
		onLoad(options) {
			console.log("options上一页传来", options)
			this.taskId = options.taskId
			// this.isuploaded = options
		},
		methods: {
			getFreeStageText(freeStage) {
				switch (freeStage) {
					case 1:
						return '已申请';
					case 2:
						return '已拒绝';
					case 3:
						return '待发货';
					case 4:
						return '已发货';
					case 5:
						return '已收货';
					default:
						return '未知状态';
				}
			},
			handleCopy(text) {
				wx.setClipboardData({
					data: text.toString(),
					success: function(res) {
						console.log("复制成功");
					}
				});
			},

			checkConditionFit() {

				if (this.remain_poll > this.project.RewardStrategy[0].per_reward) {
					this.remain_poll_flag = 1 //赏金足够
				}
				if (this.sale_actual >= this.project.RewardStrategy[0].sale_actual) {
					this.sale_actual_flag = 1 //销量满足
				}
				if (this.remain_poll_flag == 1 && this.sale_actual_flag == 1) {
					this.conditionFit = 1
				} else {
					this.conditionFit = 0
				}

			},

			// 默认信息表
			getInfoTables() {
				return this.$https.get('/youngee/c/g/get-info-tables')
					.then(res => {
						console.log("get-info-tables----", res.data.data.ThirdPlatform)
						this.infoTables = res.data.data.ThirdPlatform
					})
			},

			//账号信息
			getTalentAccountInfo() {
				return this.$https.get('/youngee/c/t/g/get-talent-account-kuaishou')
					.then(res => {
						console.log("sssss", res)
						this.account = res.data.data[0]
						console.log("sssss", this.account)
					})
				// console.log("account数组——————：  ",res)
			},

			// 前往账号详情
			accountdetail() {
				uni.navigateTo({
					url: '/page_mycenter/bindaccounts/kuaishoubind'
				});
			},
			getTaskInfo() {
				return this.$https.get('/youngee/c/t/g/get-sec-task-detail' +
					"?" +
					"task_id" +
					"=" +
					this.taskId
				).then(res => {
					console.log("get-sec-task-detail--res--->", res.data.data)
					if (res.data.code != 0) {
						return
					}
					const data = res.data.data
					//与任务有关信息
					this.task = data.sec_task_info
					this.withdrawStatus = data.withdraw_status
					// 选品项目信息
					this.project = data.selection_detail
					//悬赏数据
					if (this.project.task_mode == 1) {
						//总额
						this.all_poll = this.project.RewardStrategy[0].reward
						//已经结算
						this.settlement_poll = this.project.settlement_amount
						//悬赏余额
						this.remain_poll = this.all_poll - this.settlement_poll
						//实际销量
						this.sale_actual = data.sec_task_info.sale_actual
					}

					// 地址解析
					// this.address = JSON.parse(this.task.talent_post_addr_snap);
					// let a = this.address.region_code.toString().slice(0, 2)
					// let b = this.address.region_code.toString().slice(0, 4)
					// let c = 0
					// for (var i = 0; i < region.length; i++) {
					// 	if (region[i].code == a) {
					// 		a = region[i].name
					// 		for (var j = 0; j < region[i].children.length; j++) {
					// 			if (region[i].children[j].code == b) {
					// 				b = region[i].children[j].name
					// 				for (var o = 0; o < region[i].children[j].children.length; o++) {
					// 					if (region[i].children[j].children[o].code == this.address
					// 						.region_code) {
					// 						c = region[i].children[j].children[o].name
					// 					}
					// 				}
					// 			}

					// 		}
					// 	}
					// }
					// this.address.full_detail_addr = a + b + c + this.address.detail_addr

					// 账号信息
					this.account = JSON.parse(this.task.talent_platform_info_snap);
					this.account.show_fans_count = fansview(this.account.fans_count)



					console.log("icon_url", this.project.PlatformInfo.platform_icon)
					this.project.ProductPhoto = this.project.YounggeeProductPhoto
					this.product = this.project.YounggeeProduct[0]

					// this.project.project_form = this.project.Product.ProductType === 14 ? 3 : 1

					if (this.project.ProductPhoto != null) {
						let ProductPhoto = this.project.ProductPhoto
						for (let j = 0; j < ProductPhoto.length; ++j) {
							if (ProductPhoto[j].symbol == 1) {
								this.product.PhotoUrl = ProductPhoto[j].photo_url
							}
						}
					}

					// 判断任务是否已结束
					var timeNow = new Date()
					var ddl = new Date(this.project.task_ddl.replace(/-/g, "/"));
					// this.selection.remain_days = getDaysBetweenDates(timeNow, ddl)
					var diff = getDaysAndHoursBetweenDates(timeNow, ddl);
					this.project.remain_days = diff.days;
					this.project.remain_hours = diff.hours;

					//判断任务是否结束
					this.ddl = (this.project.remain_days <= 0 && this.project.remain_hours <= 0) ? true :
						false

					//高佣和普通的每单赚	
					this.project.high_estimated_income = this.product.exclusive_commission * this.product
						.product_price / 100
					this.project.normal_estimated_income = this.product.public_commission * this.product
						.product_price / 100

					// this.project.show_task_reward = money(this.project.task_reward)
					// this.project.show_estimated_cost = money(this.project.estimated_cost)


					// 判断是否显示快速上传按钮
					if (this.task.task_stage == 8) {
						this.isShowUpload = true
					} else {
						this.isShowUpload = false
					}
					//判断提交截图按钮是否可用
					if (this.task.assignment_status == 2) {
						this.uploaded = true //截图已上传
					} else {
						this.uploaded = false //截图未上传
					}

					// 不同任务阶段提示消息
					this.msg1 = this.infoMsg1[this.task.task_stage - 1]
					this.msg2 = this.isSpecial ? this.infoMsg3[this.task.task_stage - 1] : this.infoMsg2[this.task
						.task_stage - 1]

				})
			},
			// getTaskLogs() {
			// 	return this.$https.get('/youngee/c/t/g/get-task-log' +
			// 		"?" +
			// 		"task_id" +
			// 		"=" +
			// 		this.taskId
			// 	).then(res => {
			// 		this.taskLogs = res.data.data
			// 		console.log("task-log--》",this.taskLogs)
			// 		if(this.taskLogs==null){
			// 			console.log("这个task无历史数据")
			// 		}else if(this.taskLogs.length!==0){
			// 			this.uploaded=true
			// 		}

			// 	})
			// },
			toUpload() {
				var data = {
					taskId: this.taskId,
					assignmentStatus: this.task.assignment_status //作业上传状态
				};
				data = JSON.stringify(data)
				uni.navigateTo({
					url: '/page_workspace/selection/assignment/upload1?textObj=' + encodeURIComponent(data)
				});
			},

			toScriptRecord() {
				var data = {
					taskId: this.task.task_id,
				};
				data = JSON.stringify(data)
				uni.navigateTo({
					url: '/page_workspace/task/record/scriptrecord?textObj=' + encodeURIComponent(data)
				});
			},
			toTaskDeatail() {
				uni.navigateTo({
					url: '/page_selectionsquare/selectiondetail/selectiondetail?id=' + this.project.selection_id
				});
			},
			toApplyinfo() {
				var data = {
					account: this.account,
				};
				data = JSON.stringify(data)
				uni.navigateTo({
					url: '/page_workspace/task/information/applyInformation?textObj=' + encodeURIComponent(data)
				});
			},
			toLogisticsinfo() {
				// var data = {
				// 	address: this.address,
				// 	taskId: this.task.task_id,
				// 	projectForm: this.project.project_form
				// };
				// data = JSON.stringify(data)
				// uni.navigateTo({
				// 	url: '/page_workspace/task/information/deliveryInformation?textObj=' + encodeURIComponent(data)
				// });
				var data = {
					taskId: this.task.task_id,
				};
				data = JSON.stringify(data)
				uni.navigateTo({
					url: '/page_workspace/selection/logistics/logisticsdetail?textObj=' + encodeURIComponent(data)
				});
			},
			editAddress() {
				var data = {
					address: this.address,
					taskId: this.task.task_id,
				};
				data = JSON.stringify(data)
				uni.navigateTo({
					url: '/page_workspace/task/editaddress?textObj=' + encodeURIComponent(data)
				});
			},
			// 计算结束时间
			thistime(val) {
				// 转换格式
				var beginTime = new Date(val.replace(/-/g, "/"));
				// 当前时间
				var thisTime = new Date();
				// 相减
				var dateMiss = beginTime.getTime() - thisTime.getTime();
				this.isTimeOut = dateMiss < 0 ? true : false
				dateMiss = dateMiss < 0 ? -dateMiss : dateMiss
				// 天数
				var day = Math.floor(dateMiss / (24 * 3600 * 1000));
				// 减去天数剩下的毫秒数
				var backOne = dateMiss % (24 * 3600 * 1000);
				// 小时数
				var hours = Math.floor(backOne / (3600 * 1000));
				// 减去小时数剩下的毫秒数
				var backHour = backOne % (3600 * 1000);
				// 分钟数
				var min = Math.floor(backHour / (60 * 1000));
				var deadline_time = day + '天' + hours + '时' + min + '分'
				return deadline_time
			},
			toWithdraw() {
				uni.navigateTo({
					url: '/pages/mycenter/myincome?showTab=1'
				});
			},
			submit() {
				if (this.task.task_stage == 7) { // 提交脚本
					let that = this
					uni.showModal({
						title: '提示',
						content: '提交后无法修改并进行审核，确认提交？',
						success: function(res) {
							if (res.confirm) {
								that.$https.get('/youngee/c/t/g/submit-task-script' +
										"?" +
										"task_id" +
										"=" +
										that.task.task_id)
									.then(res => {
										console.log(res)
										uni.navigateBack()
									})
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					});
				} else if (this.task.task_stage == 9) { // 提交初稿
					let that = this
					uni.showModal({
						title: '提示',
						content: '提交后无法修改并进行审核，确认提交？',
						success: function(res) {
							if (res.confirm) {
								that.$https.get('/youngee/c/t/g/submit-task-sketch' +
										"?" +
										"task_id" +
										"=" +
										that.task.task_id)
									.then(res => {
										console.log(res)
										uni.navigateBack()
									})
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					});
				} else if (this.task.task_stage == 11) { // 提交链接
					let that = this
					uni.showModal({
						title: '提示',
						content: '提交后无法修改并进行审核，确认提交？',
						success: function(res) {
							if (res.confirm) {
								that.$https.get('/youngee/c/t/g/submit-task-link' +
										"?" +
										"task_id" +
										"=" +
										that.task.task_id)
									.then(res => {
										console.log(res)
										uni.navigateBack()
									})
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					});
				} else if (this.task.task_stage == 13) { // 提交数据
					let that = this
					uni.showModal({
						title: '提示',
						content: '提交后无法修改并进行审核，确认提交？',
						success: function(res) {
							if (res.confirm) {
								that.$https.get('/youngee/c/t/g/submit-task-data' +
										"?" +
										"task_id" +
										"=" +
										that.task.task_id)
									.then(res => {
										console.log(res)
										uni.navigateBack()
									})
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					});
				}
			}
		}
	}
</script>


<style lang="scss" scoped>
	text {
		font-size: 12px;
	}

	.importentInfo1 {
		margin: 25rpx 11rpx;
		background-color: #fbedd9;
		border-radius: 8px;
		width: 700rpx;
		height: 65rpx;
	}

	.importentInfo2 {
		margin: 2rpx 11rpx;
		background-color: #bbd0ff;
		border-radius: 8px;
		width: 700rpx;
		height: 65rpx;
	}

	.card {
		display: flex;
		align-items: center;
		// justify-content: space-between;
		width: 88%;
		padding: 24rpx;
		margin-top: 30rpx;
		border-radius: 10rpx;
		background-color: #ffffff;
		margin: 0 auto;
		box-shadow: 0px 0px 10rpx 2rpx #F4F4F4;
	}

	.Tasktext {
		display: inline-block;
		padding: 0 0 0 1%;
		width: 400rpx;
	}

	.Tasktext span {
		color: #333333;
		font-weight: 550;
		text-indent: 2em;
		font-size: 30rpx;
	}

	.Tasktext image {
		vertical-align: middle;
		width: 50rpx;
		height: 50rpx;
		display: inline-block;
		padding-right: 14rpx;
	}

	.dou {
		display: flex;
		width: 250rpx;
	}

	.dou p {
		display: inline-block;
		font-size: 30rpx;
		color: #333333;
		font-weight: 550;
	}

	.dou span {
		font-size: 24rpx;
		color: #666666;
	}

	.freeSample p {
		padding: 10rpx 20rpx;
		font-size: 20rpx;
		margin-top: 5rpx;
		color: #999999;
	}

	.saleInfo p {
		padding: 10rpx 20rpx;
		font-size: 20rpx;
		margin-top: 2rpx;
		color: #999999;
	}

	.rewardInfo p {
		padding: 10rpx 20rpx;
		font-size: 20rpx;
		margin-top: 2rpx;
		color: #999999;
	}

	.logisInfo {
		display: flex;
		justify-content: space-between;
	}

	.btn1 {
		margin: 30rpx;
		font-size: 30rpx;
		color: white;
		width: 500rpx;
		background-color: #F0D232;
		border: none;
		border-radius: 18rpx;
	}

	.task-info-right {
		// width: 100rpx;
		// height: 100rpx;
		border-radius: 50%;
		// border: #ffcb41 2rpx solid;
		display: flex;
		align-items: center;
		justify-content: center;
	}

	.basicInfo {
		display: flex;
		align-items: center;
		// justify-content: center;
		margin-top: 20rpx;
		margin-left: 20rpx;
		padding: 20rpx;
		font-size: 30rpx;
		background-color: #FFFFFF;

		.basicInfo_txt {
			margin-left: 40rpx;
			margin-top: 20rpx;
			// padding-top: 20rpx;
		}

		.platform-img {
			width: 30rpx;
			height: 30rpx;
			margin-right: 10rpx;
		}

		.tpc-txt1 {
			display: flex;
			justify-content: flex-start;
			// margin-left: 20rpx;

		}

		.tpc-txt2 {
			display: flex;
			align-items: center;
			justify-content: flex-end;
			padding-right: 10rpx;
			// margin-right: 20rpx;
			flex: 1;

			.tpc-icon {
				width: 30rpx;
				height: 30rpx;
			}
		}
	}

	.upload-btn {
		display: flex;
		align-items: center;
		justify-content: center;
		background-color: #f2d241;
		border-radius: 10rpx;
		padding: 5rpx;
		margin-left: 20rpx;
		cursor: pointer;
	}

	.address {
		display: flex;
		margin: 20rpx 0;
		// padding: 20rpx 20rpx;
		background-color: #FFFFFF;
		justify-content: space-around;
		align-items: center;

		.address_icon {
			width: 15%;
			vertical-align: middle;
			display: flex;
			justify-content: center;
		}

		.address_edit {
			width: 15%;
		}

		.address_edit image {
			vertical-align: middle;
			width: 50rpx;
			height: 50rpx;
			display: inline-block;
			padding-right: 14rpx;
		}

		.ipon {
			color: #333333;
			font-size: 30rpx;
			margin-bottom: 10rpx;
		}
	}

	.keyInfo {
		padding: 20rpx 20rpx;
		background-color: #FFFFFF;

		.keyInfo_task {
			// color: #999999;
		}
	}

	.keyInfo h3 {}

	.keyInfo p {
		font-size: 30rpx;
	}

	.account {
		display: flex;
		align-items: center;
		// justify-content: space-between;
		// width: 90%;
		margin: 20rpx 0;
		padding: 20rpx 20rpx;
		background-color: #FFFFFF;
		font-size: 35rpx;

		.account_txt {
			display: inline-block;
			padding: 0 0 0 1%;
			width: 400rpx;
		}

		.account_txt image {
			vertical-align: middle;
			width: 50rpx;
			height: 50rpx;
			display: inline-block;
			padding-right: 14rpx;
		}

		.account_fans {
			display: flex;
			width: 250rpx;
		}

		.account_fans p {
			display: inline-block;
			color: #333333;
		}

		.account_btn {}
	}

	.task-progress {
		padding: 20rpx;

		.task-progress-card {
			margin: 15rpx 0;
			display: flex;
			align-items: center;
			// margin: 20rpx;
			padding: 10rpx;
			font-size: 30rpx;
			border-radius: 10rpx;

			.tpc-txt1 {
				display: flex;
				justify-content: flex-start;
				// margin-left: 20rpx;

			}

			.tpc-txt2 {
				display: flex;
				align-items: center;
				justify-content: flex-end;
				// margin-right: 20rpx;
				flex: 1;

				.tpc-icon {
					width: 30rpx;
					height: 30rpx;
				}
			}
		}

		.task-progress-info {
			padding: 10rpx;
			font-size: 30rpx;
			border-radius: 10rpx;
			background-color: #f2f2f2;
		}
	}

	.block {
		width: 100%;
		height: 100rpx;
		margin-top: 5%;
	}

	.submit {
		box-shadow: 0rpx 5rpx 40rpx #ccc;
		width: 100%;
		position: fixed;
		bottom: 0rpx;
		display: flex;
		height: 90rpx;
		padding-top: 2%;
		background-color: #FFFFFF;

		.submit_btn {
			width: 60%;
			background-color: #FCCF41;
			border-radius: 20rpx;
			font-size: 36rpx;
			line-height: 200%;
			letter-spacing: 10rpx;
			height: 80%;
		}

	}

	.line {
		border-bottom: 1rpx solid #d5d5d5;
		width: 98%;
		margin: 10rpx 1%;
	}

	.pipline {
		display: flex;
		align-items: center;
		justify-content: center;
		margin: 20rpx;
		// border: #FCCF41 1rpx dashed;
	}

	.pipline image {
		/* width: 600rpx; */
		height: 150rpx;
	}
</style>